Bug 1215017 - gf_msg not giving output to STDOUT.
Summary: gf_msg not giving output to STDOUT.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: logging
Version: mainline
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-24 06:54 UTC by Manikandan
Modified: 2019-05-07 15:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1218506 (view as bug list)
Environment:
Last Closed: 2019-05-07 15:14:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Manikandan 2015-04-24 06:54:23 UTC
Description of problem:
gf_msg not sending the output to STDOUT.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Run the command glusterfsd --print-exports tests/configfiles/bad_exports.
Change gf_log to gf_msg and run the same command.


Actual results:
[2015-04-24 06:47:15.375196] W [exports.c:1161:_exp_line_parse] 0-nfs-exports: Error parsing netgroups for: /asdf @ObVyg571RJaorkGbgVerI9esrck8yiVD7NVqqJvj2H9DuPH3SzHnYLIXjd4zZjuuh2N0O0bYYQf7VYNrYHoxc1llgRU1iEsQRy2XaWnUlhTHKVEL8tt1TrbZCi8qXyg0l058rTnW4msvU5hW83ESwyOE4bBSz4VsW0sJaVd8Gv4waZqojemLN8AIlAoChVOfP1yhuAP1298ejkaf2fjhdfa4t4effhgadff342fdddgasdg42gahgdmnui24290hfjdjadgdkjhg2nvncms(sec=sys,rw,anonuid=1)
/test @test(rw,anonuid=0,sec=sys,) shreyas.s(rw,anonuid=595,sec=sys,) shreyas.facebook.com(rw,anonuid=0,sec=sys,)


Expected results:
/test @test(rw,anonuid=0,sec=sys,) shreyas.s(rw,anonuid=595,sec=sys,) shreyas.facebook.com(rw,anonuid=0,sec=sys,)

Additional info:

Comment 2 Amar Tumballi 2018-10-12 07:47:23 UTC
Still a valid bug, but the question is, should we change those logs which needs to get to stdout to gf_msg() at all?

Comment 3 Amar Tumballi 2019-05-07 15:14:06 UTC
Not planning to change gf_log() to gf_msg() before daemonizing the process. Hence marking as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.